/**
 * [OEUI] (C)2010-2099 oelove.com biz
 * Email: service@phpcoo.com ,phpcoo@qq.com
 * $ Last update 2021/04/19 by CL $
*/
//获取新消息红点、数字等 0.03.30
function _getMyNews() {
    $.ajax({
        type: "POST",
        url:  _ROOT_PATH+"index.php?m=wap",
        cache: false,
        data: {
            c:'ajax', a:"getnews"
        },
        dataType: "json",
        success: function($data) {
            var $json = eval($data);
            var $response = $json.response;
            var $friend_nums = $json.friend_nums;
            if (typeof($friend_nums) == 'undefined') {
                $friend_nums = 0;
            }
            var $chat_nums = $json.chat_nums;
            if (typeof($chat_nums) == 'undefined') {
                $chat_nums = 0;
            }
            var $msg_nums = $json.msg_nums;
            if (typeof($msg_nums) == 'undefined') {
                $msg_nums = 0;
            }
            var $gift_nums = $json.gift_nums;
            if (typeof($gift_nums) == 'undefined') {
                $gift_nums = 0;
            }
            var $visit_nums = $json.visit_nums;
            if (typeof($visit_nums) == 'undefined') {
                $visit_nums = 0;
            }
            var $fans_nums = $json.fans_nums;
            if (typeof($fans_nums) == 'undefined') {
                $fans_nums = 0;
            }
            
            //21.04.19
            var visitme_total = $json.visitme_total;
            if (typeof(visitme_total) == 'undefined') {
                visitme_total = 0;
            }
            var giftme_total = $json.giftme_total;
            if (typeof(giftme_total) == 'undefined') {
                giftme_total = 0;
            }
            var listen_total = $json.listen_total;
            if (typeof(listen_total) == 'undefined') {
                listen_total = 0;
            }
            var fans_total = $json.fans_total;
            if (typeof(fans_total) == 'undefined') {
                fans_total = 0;
            }
            var friend_total = $json.friend_total;
            if (typeof(friend_total) == 'undefined') {
                friend_total = 0;
            }
            
            if ($response == "1") {
                
                //待处理好友申请数
                if ($friend_nums > 0) {
                    if ($("[f='my_friend_nums']").length > 0) {
                        $("[f='my_friend_nums']").html($friend_nums).show();
                    }
                    if ($("[f='my_friend_tips']").length > 0) {
                        $("[f='my_friend_tips']").show();
                    }
                }
                
                //未读聊天数
                if ($chat_nums > 0) {
                    if ($("[f='my_chat_nums']").length > 0) {
                        $("[f='my_chat_nums']").html($chat_nums).show();
                    }
                    if ($("[f='my_chat_tips']").length > 0) {
                        $("[f='my_chat_tips']").show();
                    }
                }
                //未读系统通知
                if ($msg_nums > 0) {
                    if ($("[f='my_msg_nums']").length > 0) {
                        $("[f='my_msg_nums']").html($msg_nums).show();
                    }
                    if ($("[f='my_msg_tips']").length > 0) {
                        $("[f='my_msg_tips']").show();
                    }
                }
                //合并消息数量
                if ($("[f='my_allmsg_nums']").length > 0) {
                    var $allmsg_nums = (parseInt($chat_nums)+parseInt($msg_nums));
                    if ($allmsg_nums > 0) {
                        $("[f='my_allmsg_nums']").html($allmsg_nums).show();
                        if ($("[f='my_allmsg_tips']").length > 0) {
                            $("[f='my_allmsg_tips']").show();
                        }
                        
                        if ($("[f='my_allmsg_url']").length > 0) {
                            if ($chat_nums == 0 && $msg_nums > 0) {
                                $("[f='my_allmsg_url']").attr('href', WAP_APPFILE+'&c=msg');
                            } 
                        }
                        
                    }
                }
                
                //新收礼物
                if ($gift_nums > 0) {
                    if ($("[f='my_gift_nums']").length > 0) {
                        $("[f='my_gift_nums']").html($gift_nums).show();
                    }
                    if ($("[f='my_gift_tips']").length > 0) {
                        $("[f='my_gift_tips']").show();
                    }
                }
                
                //新访客
                if ($visit_nums > 0) {
                    if ($("[f='my_visit_nums']").length > 0) {
                        $("[f='my_visit_nums']").html($visit_nums).show();
                    }
                    if ($("[f='my_visit_tips']").length > 0) {
                        $("[f='my_visit_tips']").show();
                    }
                }
                
                //21.04.19 
                if (visitme_total > 0) {
                    if (visitme_total>99) {
                        visitme_total = '99+';
                    }
                    if ($("[f='my_visitme_total']").length > 0) {
                        $("[f='my_visitme_total']").html(visitme_total).show();
                    }
                }
                if (giftme_total > 0) {
                    if (giftme_total>99) {
                        giftme_total = '99+';
                    }
                    if ($("[f='my_giftme_total']").length > 0) {
                        $("[f='my_giftme_total']").html(giftme_total).show();
                    }
                }
                if (listen_total > 0) {
                    if (listen_total>99) {
                        listen_total = '99+';
                    }
                    if ($("[f='my_listen_total']").length > 0) {
                        $("[f='my_listen_total']").html(listen_total).show();
                    }
                }
                if (fans_total > 0) {
                    if (fans_total>99) {
                        fans_total = '99+';
                    }
                    if ($("[f='my_fans_total']").length > 0) {
                        $("[f='my_fans_total']").html(fans_total).show();
                    }
                }
                if (friend_total > 0) {
                    if (friend_total>99) {
                        friend_total = '99+';
                    }
                    if ($("[f='my_friend_total']").length > 0) {
                        $("[f='my_friend_total']").html(friend_total).show();
                    }
                }
            }
        },
        error: function() {
        }
    });
}
//清空红点、数字cookie 移到main文件，